
Core - Epic # 65314

Status: New Priority: Should have
Author: Alexander Opitz Category:
Created: 2015-02-25 Assigned To: Alexander Opitz
Updated: 2015-07-29 Due date:
Sprint Focus:
Subject: PHP7
Description

Tracking issue for TYPO3 CMS 7 LTS with PHP 7 to ensure compatibility as PHP 7 will be released around autumn 2015 (like our
LTS).

Subtasks:
Bug # 65315: ExtractorRegistryTest::registeredExtractorClassWithSamePriorityAreReturned... Resolved
Bug # 65316: RendererRegistryTest::registeredFileRendererClassWithSamePriorityAreReturn... Resolved
Bug # 65317: TypoScriptParserTest::executeValueModifierReturnsModifiedResult Under Review
Bug # 65318: ExtensionManagementUtilityTest::addTcaSelectItemInsertsItemAtSpecifiedPosi... Resolved
Bug # 65319: ResourceUtilityTest::recursiveFileListSortingHelperCorrectlySorts Resolved
Bug # 65320: BooleanNodeTest::convertToBooleanProperlyConvertsNumericValues Resolved
Bug # 65321: PHP Memory issue in TYPO3\CMS\Extbase\Tests\Unit\Mvc\Web\RequestBuilderTes... Under Review
Task # 65351: Update travis.yml to support PHP 7 Resolved
Bug # 67092: PHP7 Warning DateViewHelperTest::setLocale() should be compatible with PHP... Resolved
Bug # 67189: LogRecordTest::toStringIncludesExceptionDataAsJson Resolved
Bug # 67362: PHP Fatal error:  Cannot use 'Null' as class name Resolved
Task # 68194: PHP7 compliance - make unit tests run Resolved
Bug # 68634: IfViewHelpers don't follow parents' method signature for render() Under Review

History
#1 - 2015-02-25 11:19 - Alexander Opitz

State: PHP 5.5.12-2ubuntu4.2 (cli) (built: Feb 13 2015 18:56:49)

    -  Tests: 5548, Assertions: 6905, Skipped: 152
    -  Time: 14.99 seconds, Memory: 513.75Mb

State: PHP 7.0.0-dev (cli) (built: Feb 25 2015 09:59:30)

    -  Some sporadic crashes
    -  Crash in Extbase tests
    -  Tests: 5548, Assertions: 6916, Failures: 7, Skipped: 137
    -  Time: 11.17 seconds, Memory: 344.00Mb

(Less skipped tests as PHP 7 runs the PDO tests)

#2 - 2015-02-26 10:50 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/37250
#3 - 2015-02-26 14:02 - Michael Stucki
- Status changed from Under Review to New

#4 - 2015-05-12 12:25 - Alexander Opitz
PHP 5.5.12-2ubuntu4.4 (cli) (built: Apr 17 2015 11:47:44)
    -  Tests: 6956, Assertions: 9010, Skipped: 160.
    -  Time: 17.98 seconds, Memory: 641.00Mb
PHP 7.0.0-dev (cli) (built: May 11 2015 18:20:03)
    -  No sporadic crashes anymore
    -  crash in extbase/Tests/Unit/Mvc/Web/RequestBuilderTest.php (Test deactivated)
    -  Tests: 6956, Assertions: 8994, Errors: 23, Failures: 5, Skipped: 145.
    -  Time: 13.21 seconds, Memory: 284.00Mb

#5 - 2015-05-29 10:35 - Alexander Opitz
PHP 5.5.12-2ubuntu4.4 (cli) (built: Apr 17 2015 11:47:44)
    -  Tests: 6957, Assertions: 9009, Skipped: 160.
    -  Time: 17.56 seconds, Memory: 641.25Mb
PHP 7.0.0-dev (cli) (built: May 26 2015 08:57:59) (DEBUG)
    -  (!) DEBUG Build
    -  crash in extbase/Tests/Unit/Mvc/Web/RequestBuilderTest.php (Test deactivated)
    -  Less skipped tests as it runs the PDO tests
    -  Tests: 6957, Assertions: 9010, Errors: 22, Failures: 5, Skipped: 145.
    -  Time: 27.89 seconds, Memory: 314.00Mb

#6 - 2015-06-05 12:09 - Alexander Opitz
PHP 5.5.12-2ubuntu4.4 (cli) (built: Apr 17 2015 11:47:44) 
    -  Tests: 7040, Assertions: 9127, Skipped: 160.
    -  Time: 18.05 seconds, Memory: 646.00Mb
PHP 7.0.0-dev (cli) (built: Jun  5 2015 09:53:11) (DEBUG)
    -  (!) DEBUG Build
    -  crash in extbase/Tests/Unit/Mvc/Web/RequestBuilderTest.php (Test deactivated)
    -  Less skipped tests as it runs the PDO tests
    -  Tests: 7040, Assertions: 9128, Errors: 22, Failures: 4, Skipped: 145.
    -  Tests: 7040, Assertions: 9128, Errors: 22, Failures: 3, Skipped: 145. (After commit of #67189)
    -  Time: 27.34 seconds, Memory: 318.00Mb

#7 - 2015-06-19 13:43 - Alexander Opitz
PHP 5.5.12-2ubuntu4.4 (cli) (built: Apr 17 2015 11:47:44)
    -  Tests: 7185, Assertions: 9274, Skipped: 160.
    -  Time: 21.88 seconds, Memory: 654.75Mb
PHP 7.0.0-dev (cli) (built: Jun 19 2015 12:39:56)
    -  crash in extbase/Tests/Unit/Mvc/Web/RequestBuilderTest.php (Test deactivated)
    -  Less skipped tests as it runs the PDO tests
    -  Missing 44 Tests against PHP 5.5?
    -  Tests: 7141, Assertions: 9234, Errors: 19, Failures: 3, Skipped: 145.
    -  Time: 12.23 seconds, Memory: 286.00Mb

#8 - 2015-07-01 10:07 - Alexander Opitz
PHP 5.6.4-4ubuntu6 (cli) (built: Apr 17 2015 15:47:51)
    -  Tests: 7228, Assertions: 9306, Skipped: 160.
    -  Time: 18.66 seconds, Memory: 655.25Mb
PHP 7.0.0-dev (cli) (built: Jun 22 2015 11:27:07)
    -  crash in extbase/Tests/Unit/Mvc/Web/RequestBuilderTest.php (Test deactivated)
    -  Less skipped tests as it runs the PDO tests
    -  Tests: 7228, Assertions: 9315, Errors: 15, Failures: 3, Skipped: 145.
    -  Time: 13.85 seconds, Memory: 288.00Mb

#9 - 2015-07-07 14:11 - Alexander Opitz

Nice reading and benchmarks.

http://talks.php.net/fluent15#/

#10 - 2015-07-15 14:13 - Susanne Moog

With https://review.typo3.org/#/c/41274/1 I have no errors and no failures in the tests (but still skips the request things) and backend works quite well.
Let's join forces :)

#11 - 2015-07-28 12:42 - Alexander Opitz
PHP 5.6.4-4ubuntu6.2 (cli) (built: Jul  2 2015 15:29:28)
    -  Tests: 7696, Assertions: 10036, Errors: 8, Skipped: 162.
    -  Time: 20.83 seconds, Memory: 675.25Mb
PHP 7.0.0-dev (cli) (built: Jul 10 2015 11:55:11)
    -  crash in extbase/Tests/Unit/Mvc/Web/RequestBuilderTest.php (Test deactivated)
    -  Less skipped tests as it runs the PDO tests
    -  Tests: 7696, Assertions: 10028, Errors: 11, Failures: 1, Skipped: 179.
    -  Time: 14.68 seconds, Memory: 296.00Mb

#12 - 2015-07-29 11:08 - Alexander Opitz

Fixed my typo3 master for the phpunit runnings, added PDO tests to 5.6.x. Also the PHP7 crash is fixed, so here are new numbers
PHP 5.6.4-4ubuntu6.2 (cli) (built: Jul 2 2015 15:29:28) 
    -  Tests: 7694, Assertions: 10071, Skipped: 147.
    -  Time: 20.84 seconds, Memory: 678.50Mb
PHP 7.0.0-dev (cli) (built: Jul 29 2015 09:56:18)
    -  Tests: 7694, Assertions: 10067, Errors: 3, Failures: 1, Skipped: 147.
    -  Time: 14.48 seconds, Memory: 296.00Mb
